<html lang="en">
<head>
<title>Drawables - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Input-language.html#Input-language" title="Input language">
<link rel="prev" href="Language-basics.html#Language-basics" title="Language basics">
<link rel="next" href="Definitions.html#Definitions" title="Definitions">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Drawables"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Definitions.html#Definitions">Definitions</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Language-basics.html#Language-basics">Language basics</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Input-language.html#Input-language">Input language</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h3 class="section">3.2 Drawables</h3>

<p><a name="index-drawable-266"></a>Drawables are simply <code>sketch</code> objects that might appear in the
drawing.  They include dots, polylines, curves, polygons, and more
complex objects that are built up from simpler ones in various ways. 
Finally, <dfn>special</dfn> objects are those composed of LaTeX or
<code>PSTricks</code> code, perhaps including coordinates and angles
computed by <code>sketch</code>.

<ul class="menu">
<li><a accesskey="1" href="Dots.html#Dots">Dots</a>:                         Draw dots. 
<li><a accesskey="2" href="Lines.html#Lines">Lines</a>:                        Draw polylines. 
<li><a accesskey="3" href="Curves.html#Curves">Curves</a>:                       Draw curves. 
<li><a accesskey="4" href="Polygons.html#Polygons">Polygons</a>:                     Draw polygons. 
<li><a accesskey="5" href="Specials.html#Specials">Specials</a>:                     Embed raw LaTeX and <code>PSTricks</code>. 
<li><a accesskey="6" href="Sweeps.html#Sweeps">Sweeps</a>:                       Draw sweeps of dots and polylines. 
<li><a accesskey="7" href="Blocks.html#Blocks">Blocks</a>:                       Group other drawables. 
<li><a accesskey="8" href="Repeats.html#Repeats">Repeats</a>:                      Draw transformed copies of objects. 
<li><a accesskey="9" href="Puts.html#Puts">Puts</a>:                         Draw one object transformed. 
</ul>

   </body></html>

